Package org.jfree.report.modules.factories.data.base

# Class ReportDataFactoryXmlResourceFactory

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory
org.jfree.report.modules.factories.data.base.ReportDataFactoryXmlResourceFactory

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.resourceloader.ResourceFactory`

public class ReportDataFactoryXmlResourceFactory extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory
Creation-Date: 08.04.2006, 14:25:23

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory

`CONTENTBASE_KEY`

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory

`CONFIG_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`ReportDataFactoryXmlResourceFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`Class`
`getFactoryType()`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory

`configureReader, create, createResource, finishResult, getErrorHandler, getParser, initializeDefaults, parseDirectly, registerModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportDataFactoryXmlResourceFactory

public ReportDataFactoryXmlResourceFactory()

## Method Details

### getConfiguration

protected org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

Specified by:
  `getConfiguration` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlResourceFactory`

### getFactoryType

public Class getFactoryType()